Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.log
Class ProcessStateLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.graph.log.NodeLog
              org.jbpm.graph.log.ProcessStateLog

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessStateLog

extends NodeLog

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.graph.log.NodeLog
`duration, enter, leave, node`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`ProcessStateLog()`
`ProcessStateLog(Node node, java.util.Date nodeEnter, java.util.Date date, ProcessInstance subProcessInstance)`

Method Summary
`ProcessInstance` | `getSubProcessInstance()`
`void` | `setSubProcessInstance(ProcessInstance subProcessInstance)`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.graph.log.NodeLog
`getDuration, getEnter, getLeave, getNode`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessStateLog

    public ProcessStateLog()

### ProcessStateLog

    public ProcessStateLog(Node node,
                           java.util.Date nodeEnter,
                           java.util.Date date,
                           ProcessInstance subProcessInstance)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Overrides:
    `toString` in class `NodeLog`

### getSubProcessInstance

    public ProcessInstance getSubProcessInstance()

### setSubProcessInstance

    public void setSubProcessInstance(ProcessInstance subProcessInstance)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD